"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiWrapper = void 0;
class ApiWrapper {
    constructor(api) {
        this.api = api;
    }
    before(hookFn) {
        this.api.before(hookFn);
    }
    beforeEach(hookFn) {
        this.api.beforeEach(hookFn);
    }
    after(hookFn) {
        this.api.after(hookFn);
    }
    afterEach(hookFn) {
        this.api.afterEach(hookFn);
    }
    describe({ name, only, skip }, suiteFn) {
        if (only) {
            this.api.only.describe(name, suiteFn);
            return;
        }
        if (skip) {
            this.api.skip.describe(name, suiteFn);
            return;
        }
        this.api.describe(name, suiteFn);
    }
    it({ name, only, skip }, testFn) {
        if (only) {
            this.api.only.it(name, testFn);
            return;
        }
        if (skip) {
            this.api.skip.it(name, testFn);
            return;
        }
        this.api.it(name, testFn);
    }
}
exports.ApiWrapper = ApiWrapper;
//# sourceMappingURL=api-wrapper.js.map