import { fnType } from './shared';
import { ITestSuiteHooks } from './test-suite';
declare type doneOrPromiseType = (() => void) | ((done: fnType) => void) | fnType<Promise<any>>;
export declare type itFn = doneOrPromiseType;
export declare type hookType = doneOrPromiseType;
declare type describeType = (name: string, test: fnType) => void;
declare type itType = (name: string, test: itFn) => void;
declare type hooks = {
    [k in keyof ITestSuiteHooks]: (hookFn: hookType) => void;
};
export interface IApiMapper extends hooks {
    describe: describeType;
    it: itType;
    only: {
        describe: describeType;
        it: itType;
    };
    skip: {
        describe: describeType;
        it: itType;
    };
}
export interface ITestConfig {
    api: IApiMapper;
}
export {};
