"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRunner = void 0;
const api_wrapper_1 = require("./api-wrapper");
const test_suite_1 = require("./test-suite");
class TestRunner {
    constructor(testSuiteDefinition, config) {
        const testSuiteDefinitionArr = Array.isArray(testSuiteDefinition)
            ? testSuiteDefinition
            : Object.entries(testSuiteDefinition).map(([name, def]) => ({ ...def, name }));
        this.apiWrapper = new api_wrapper_1.ApiWrapper(config.api);
        this.testSuites = testSuiteDefinitionArr
            .map((def) => new test_suite_1.TestSuite(this.apiWrapper, def));
    }
    run() {
        this.testSuites.forEach((def) => def.run({}));
    }
}
exports.TestRunner = TestRunner;
//# sourceMappingURL=test-runner.js.map